# Record Class IdUCommandEmailRemovePermit

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.IdUCommandEmailRemovePermit

Record Components:
  `token` - The email address

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBMessageType, IdProtocolMessageType, IdUCommandType<IdUResponseEmailRemovePermit>, IdUMessageType`

public record IdUCommandEmailRemovePermit(IdToken token) extends Record implements IdUCommandType<IdUResponseEmailRemovePermit>
A request to complete an email address challenge.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUCommandEmailRemovePermit(IdToken token)`
  A request to complete an email address challenge.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Class<IdUResponseEmailRemovePermit>`
  `responseClass()`
  `IdToken`
  `token()`
  Returns the value of the `token` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUCommandEmailRemovePermit

    public IdUCommandEmailRemovePermit(IdToken token)
    A request to complete an email address challenge.
    Parameters:
      `token` - The email address

- ## Method Details

  - ### responseClass

    public Class<IdUResponseEmailRemovePermit> responseClass()
    Specified by:
      `responseClass` in interface `IdUCommandType<IdUResponseEmailRemovePermit>`
    Returns:
      The response class associated with a successful command execution

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### token

    public IdToken token()
    Returns the value of the `token` record component.
    Returns:
      the value of the `token` record component